Account | Help |
Contact | Services | Whois | DIG |

128 bit Secure Server Certificates

We sell secure web server certificates which are are among the lowest priced, highest browser recognition web certificates available today. Our certificates support 128 bit SSL/HTTPS communications, the highest level of security commercially available today. The certificates are issued and signed by GeoTrust.

Why pay in excess of 300 USD for a 128 bit Super SSL Certificate to protect your website, when you can buy one from SpaceReg.

Check our price comparator.
Query any https internet host with our public secure server information gateway
Check the products browser and server support below.

More information on our secure server products.
Buy web server certificate.
Step by step outline of the purchase procedure.

Product name1 year2 years3 years
RapidSSL (agreement, details, buy)27.00 USD54.00 USD78.00 USD
QuickSSL (agreement, details, buy)90.00 USD170.00 USD260.00 USD
QuickSSL Premium (agreement, details, buy)105.00 USD205.00 USD305.00 USD
True BusinessID (agreement, details, buy)130.00 USD250.00 USD370.00 USD
Comodo SSL Wildcard (agreement, details, buy)230.00 USD450.00 USD670.00 USD
True BusinessID Wildcard (agreement, details, buy)400.00 USD780.00 USDna
Comodo EV SSL (agreement, details, buy)140.00 USD270.00 USDna

Compare SSL certification prices
Payment options

Browser support

Our professional level SSL certificates have the highest browser ubiquity currently available (The same as Verisign and Thawte). All modern SSL compliant browsers should recognise the authority behind all our certificates. All our certificates work with:

  • Internet Explorer 5.01 and newer.
  • Netscape 7 and newer.
  • Mozilla 1.0 and newer.
  • Firefox 1.0 and newer.

The professional level SSL certificates also work with older browsers, more information on the individual products can be found here.

Server support

Our web server certificates can be used with any web server that supports SSL. The web servers listed below have been tested by the certificate issuers and we can provide support for the installation of our certificates on these servers. If your webserver is not lsited below you may still use our products, however you will have to rely on the documentation that comes with your server software.

  • Apache (v1.2.x or older versions with either a mod_ssl, raven or apache SSL patch applied).
  • C2Net Stronghold.
  • Cobalt RaQ2/RaQ3/RaQ4/XTR.
  • Ensim.
  • IBM HTTP.
  • IPlanet.
  • IBM-Lotus Domino Go 4.6.2.5 and 4.6.2.6.
  • Lotus Domino 5.0.x.
  • Microsoft Internet Information Server (4.0 upwards).
  • Netscape Enterprise/Fast Track Server.
  • Plesk.
  • WebLogic (5.1 and 6.x).
  • WebSTAR 4.0 and higher.
  • Zeus Web Server v3.
  • Jakarta Tomcat.

Note: Our certificates use the strongest commercially available encryption and are signed by GeoTrust.


© SpaceReg 1998-2016